%global srcname rosinstall_generator

Name:           python-%{srcname}
Version:        0.1.18
Release:        1%{?dist}
Summary:        Generates rosinstall files

License:        BSD
URL:            http://wiki.ros.org/%{srcname}
Source0:        https://github.com/ros-infrastructure/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-catkin_pkg >= 0.1.28
BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-rosdistro >= 0.7.3
BuildRequires:  python2-rospkg
BuildRequires:  python2-setuptools
BuildRequires:  python-yaml
%{?python_provide:%python_provide python2-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python2-catkin_pkg >= 0.1.28
Requires:       python2-rosdistro >= 0.7.3
Requires:       python2-rospkg
Requires:       python2-setuptools
Requires:       python-yaml
%endif # __pythondist_requires

%description -n python2-%{srcname}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-catkin_pkg >= 0.1.28
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-rosdistro >= 0.7.3
BuildRequires:  python%{python3_pkgversion}-rospkg
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-yaml
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-catkin_pkg >= 0.1.28
Requires:       python%{python3_pkgversion}-rosdistro >= 0.7.3
Requires:       python%{python3_pkgversion}-rospkg
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-yaml
%endif # __pythondist_requires

%description -n python%{python3_pkgversion}-%{srcname}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python2_version}
ln -s %{srcname}-%{python2_version} %{buildroot}%{_bindir}/%{srcname}-2

%py3_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python3_version}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}-3

ln -s %{srcname}-%{python2_version} %{buildroot}%{_bindir}/%{srcname}


%check
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests-%{python2_version} test
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} test


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-2
%{_bindir}/%{srcname}-%{python2_version}

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/%{srcname}-3
%{_bindir}/%{srcname}-%{python3_version}


%changelog
* Wed Oct 30 2019 Scott K Logan <logans@cottsay.net> - 0.1.18-1
- Update to 0.1.18 (rhbz#1742963)

* Fri Apr 12 2019 Scott K Logan <logans@cottsay.net> - 0.1.16-1
- Initial EPEL 7 package
